linux: 3.13.0-74.118 -proposed tracker

Bug #1527404 reported by Kamal Mostafa on 2015-12-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Kamal Mostafa
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Kamal Mostafa
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-74.118 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 17. December 2015 22:24 UTC
kernel-stable-Prepare-package-end:Friday, 18. December 2015 06:03 UTC
kernel-stable-Promote-to-proposed-start:Friday, 18. December 2015 06:03 UTC
kernel-stable-Promote-to-proposed-end:Friday, 18. December 2015 16:14 UTC
kernel-stable-Security-signoff-end:Friday, 18. December 2015 18:03 UTC
kernel-stable-Verification-testing-start:Friday, 18. December 2015 18:02 UTC
kernel-stable-Certification-testing-start:Friday, 18. December 2015 18:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 18. December 2015 18:03 UTC
kernel-stable-Promote-to-updates-start:Friday, 18. December 2015 18:27 UTC
kernel-stable-Certification-testing-end:Friday, 18. December 2015 18:27 UTC
kernel-stable-Regression-testing-end:Friday, 18. December 2015 18:27 UTC
kernel-stable-Promote-to-updates-end:Friday, 18. December 2015 19:59 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 18. December 2015 21:02 UTC

tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1527466

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise1) - bug 1527467

description: updated

 linux | 3.13.0-74.118 | trusty-proposed | source
 linux-meta | 3.13.0.74.80 | trusty-proposed | source
 linux-signed | 3.13.0-74.118 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-12-18
description: updated
Brad Figg (brad-figg) on 2015-12-18
description: updated
Luis Henriques (henrix) on 2015-12-18
tags: added: qa-testing-passed
Luis Henriques (henrix) on 2015-12-18
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-74.118

---------------
linux (3.13.0-74.118) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1527404

  [ Jann Horn ]

  * ptrace: being capable wrt a process requires mapped uids/gids
    - LP: #1527374

linux (3.13.0-74.117) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * xen: Add RING_COPY_REQUEST()
    - CVE-2015-8550
  * xen-netback: don't use last request to determine minimum Tx credit
    - CVE-2015-8550
  * xen-netback: use RING_COPY_REQUEST() throughout
    - CVE-2015-8550
  * xen-blkback: only read request operation from shared ring once
    - CVE-2015-8550
  * xen-blkback: read from indirect descriptors only once
    - CVE-2015-8550
  * xen/pciback: Save xen_pci_op commands before processing it
    - CVE-2015-8550
  * xen/pciback: Return error on XEN_PCI_OP_enable_msi when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Return error on XEN_PCI_OP_enable_msix when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Do not install an IRQ handler for MSI interrupts.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: For XEN_PCI_OP_disable_msi[|x] only disable if device has
    MSI(X) enabled.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Don't allow MSI-X ops if PCI_COMMAND_MEMORY is not set.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553

 -- Kamal Mostafa <email address hidden> Thu, 17 Dec 2015 13:06:31 -0800

Changed in linux (Ubuntu Trusty):
status: New → Fix Released

 linux | 3.13.0-74.118 | trusty-updates | source
 linux-meta | 3.13.0.74.80 | trusty-updates | source
 linux-signed | 3.13.0-74.118 | trusty-updates | source

Brad Figg (brad-figg) on 2015-12-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Andy Whitcroft (apw) on 2017-10-17
Changed in kernel-sru-workflow:
status: Fix Released → Invalid
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
status: Fix Released → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers